<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Task extends Model
{
    use HasFactory;
    protected $fillable = ['project_id', 'title', 'description', 'status', 'priority', 'due_date', 'created_by'];

    public function project() {
    return $this->belongsTo(Project::class);
    }

    public function creator() {
    return $this->belongsTo(User::class, 'created_by');
    }

    public function assignedUsers(){
        return $this->belongsToMany(User::class)->withPivot('assigned_by')->withTimestamps();
    }

    public function files()
    {
        return $this->hasMany(File::class);
    }
}
