<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'role_id',
        'designation',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

        public function role()
            {
                return $this->belongsTo(Role::class);
            }
        public function projects()
            {
                return $this->hasMany(Project::class, 'created_by');
            }
        public function tasks()
            {
                return $this->hasMany(Project::class, 'created_by');
            }
        public function assignedTasks()
        {
            return $this->belongsToMany(Task::class)->withPivot('assigned_by')->withTimestamps();
        }
        public function uploadedFiles()
        {
            return $this->hasMany(File::class,'uploaded_by');
        }
    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
        'password' => 'hashed',
    ];
}
