<x-app-layout>
    <x-slot name="header">Task Progress List</x-slot>

    <div class="task-list">
        <h1>Task List</h1>

        @forelse($tasks as $task)
            <div class="task-item">
                <h2>{{ $task->title }}</h2>
                <p><strong>Project:</strong> {{ $task->project->name }}</p>
                <p><strong>Status:</strong> {{ $task->status }}</p>
                <p><strong>Due Date:</strong> {{ $task->due_date }}</p>
                <p><strong>Created By:</strong> {{ $task->creator->name ?? 'N/A' }}</p>
                <p><strong>Assigned Users:</strong>
                    @foreach($task->assignedUsers as $user)
                        {{ $user->name }}@if (!$loop->last), @endif
                    @endforeach
                </p>

                <h4>Uploaded Files</h4>
                @if ($task->files->isEmpty())
                    <p>No files uploaded.</p>
                @else
                    <ul>
                        @foreach($task->files as $file)
                            <li>
                                {{ $file->original_name }} —
                                <a href="{{ asset('storage/' . $file->file_path) }}" target="_blank">View File</a>
                                (Uploaded by: {{ $file->uploader->name ?? 'N/A'}})
                            </li>
                        @endforeach
                    </ul>
                @endif
                <hr>
            </div>
        @empty
            <p>No tasks found.</p>
        @endforelse
    </div>
</x-app-layout>
