<x-app-layout>
    <x-slot name="header">User Management Page</x-slot>

    <div class="users-container">
        <h1>User List</h1>
        <div class="action-bar">
            <button onclick="document.getElementById('createForm').classList.toggle('hidden')" class="create-button">
                + Create New User
            </button>
        </div>

        <div id="createForm" class="form-section hidden">
            <form action="{{ route('admin.users.store') }}" method="POST">
                @csrf
                <div class="form-grid">
                    <div class="form-group">
                        <label>Name</label>
                        <input type="text" name="name" required>
                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <input type="email" name="email" required>
                    </div>
                    <div class="form-group">
                        <label>Password</label>
                        <input type="password" name="password" required>
                    </div>
                    <div class="form-group">
                        <label>Designation</label>
                        <input type="text" name="designation">
                    </div>
                    <div class="form-group full-width">
                        <label>Role</label>
                        <select name="role_id">
                            @foreach($roles as $role)
                                <option value="{{ $role->id }}">{{ $role->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <button type="submit" class="submit-button">Create User</button>
            </form>
        </div>

        <table class="user-table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Designation</th>
                    <th>Role</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($users as $user)
            <tr>
                <form id="form-{{ $user->id }}" action="{{ route('admin.users.update', $user->id) }}" method="POST">
                    @csrf
                    @method('PUT')
                    <td>{{ $user->id }}</td>

                    <td>
                        <span class="display-only" id="name-label-{{ $user->id }}">{{ $user->name }}</span>
                        <input type="text" name="name" value="{{ $user->name }}" class="edit-only hidden" id="name-input-{{ $user->id }}">
                    </td>

                    <td>
                        <span class="display-only" id="email-label-{{ $user->id }}">{{ $user->email }}</span>
                        <input type="email" name="email" value="{{ $user->email }}" class="edit-only hidden" id="email-input-{{ $user->id }}">
                    </td>

                    <td>
                        <span class="display-only" id="designation-label-{{ $user->id }}">{{ $user->designation }}</span>
                        <input type="text" name="designation" value="{{ $user->designation }}" class="edit-only hidden" id="designation-input-{{ $user->id }}">
                    </td>

                    <td>
                        <span class="display-only" id="role-label-{{ $user->id }}">{{ $user->role->name }}</span>
                        <select name="role_id" class="edit-only hidden" id="role-input-{{ $user->id }}">
                            @foreach($roles as $role)
                                <option value="{{ $role->id }}" {{ $user->role_id == $role->id ? 'selected' : '' }}>
                                    {{ $role->name }}
                                </option>
                            @endforeach
                        </select>
                    </td>

                    <td>
                        <button type="button" onclick="enableEditing('{{ $user->id }}')" class="edit-btn">Edit</button>
                        <button type="submit" class="save-btn hidden" id="save-{{ $user->id }}">Save</button>
                    </td>
                </form>

                <td>
                    <form action="{{ route('admin.users.delete', $user->id) }}" method="POST" style="display:inline;">
                        @csrf
                        @method('DELETE')
                        <button type="submit" onclick="return confirm('Delete this user?')" class="delete-btn">Delete</button>
                    </form>
                </td>
            </tr>

            @endforeach



                        </tbody>
                    </table>
                
                </div>
            </x-app-layout>

<script>
function enableEditing(userId) {
    document.getElementById(`name-label-${userId}`).classList.add('hidden');
    document.getElementById(`email-label-${userId}`).classList.add('hidden');
    document.getElementById(`designation-label-${userId}`).classList.add('hidden');
    document.getElementById(`role-label-${userId}`).classList.add('hidden');
    document.getElementById(`name-input-${userId}`).classList.remove('hidden');
    document.getElementById(`email-input-${userId}`).classList.remove('hidden');
    document.getElementById(`designation-input-${userId}`).classList.remove('hidden');
    document.getElementById(`role-input-${userId}`).classList.remove('hidden');
    document.getElementById(`save-${userId}`).classList.remove('hidden');
}
</script>



