<x-app-layout>
    <x-slot name="header">My Assigned Tasks</x-slot>

    <div class="tasks-container">
        <h1>Tasks Assigned to Me</h1>
        <table class="task-table">
            <thead>
                <tr>
                    <th>Project</th>
                    <th>Title</th>
                    <th>Description</th>
                    <th>Status</th>
                    <th>Priority</th>
                    <th>Due Date</th>
                    <th>Created By</th>
                </tr>
            </thead>
            <tbody>
                @forelse ($tasks as $task)
                <tr>
                    <td>{{ $task->project->name }}</td>
                    <td>{{ $task->title }}</td>
                    <td>{{ Str::limit($task->description, 50) }}</td>
                    <td>{{ $task->status }}</td>
                    <td>{{ $task->priority }}</td>
                    <td>{{ $task->due_date }}</td>
                    <td>{{ $task->creator->name }}</td>
                </tr>
                <tr>
                    <td colspan="7">
                     <form action="{{ route('user.upload', $task->id) }}" method="POST" enctype="multipart/form-data">
                @csrf
                <input type="file" name="task_file" required>
                <button type="submit">Upload File</button>
                </form>
            </td>
            </tr>
            @empty
                <tr>
                    <td colspan="7">No tasks assigned.</td>
                </tr>
                @endforelse
            </tbody>
        </table>
    </div>
</x-app-layout>
